//
//  iSVG.m
//  iSVG
//
//  Created by b4j on 26/11/2015.
//  Copyright © 2015 Anywhere Software. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <SVGKit/SVGKit.h>
#import "iSVG.h"

@implementation iSVG

#define OBJ ((SVGKImage *) self.object)
+(Class)getClass {
    return [SVGKImage class];
}
/**
 * Initializes the SVG object and loads the file.
 */
- (void)Initialize:(NSString *)Dir :(NSString *)FileName {
    NSString * p = [[[B4ICommon shared] File]

            checkAssets:Dir :FileName :false];
    SVGKImage* img = [SVGKImage imageWithContentsOfFile:[[[B4ICommon shared] File] Combine:Dir :p]];
    if (img == nil)
        [NSException raise:@"" format:@"Error loading SVG file."];
    self.object = img;
}
/**
 * Exports the loaded SVG to a Bitmap.
 */
- (B4IBitmap *)Export:(float)Width :(float)Height {
    OBJ.size = CGSizeMake(Width, Height);
    B4IBitmap *b = [B4IObjectWrapper createWrapper:[B4IBitmap new] object:OBJ.UIImage];
    return b;
}

@end
